/*

  This file is a part of GRALEEDITOR, a program to help create input data
  for gravitational lens inversion using GRALE.

  Copyright (C) 2008-2012 Jori Liesenborgs

  Contact: jori.liesenborgs@gmail.com
  
  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.
  
  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
  
  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
  
*/

#include "coordinateitem.h"
#include <QPainter>
#include <QGraphicsScene>

CoordinateItem::CoordinateItem(QGraphicsItem *pParent) : QGraphicsItem(pParent)
{
	setZValue(10000);
}

CoordinateItem::~CoordinateItem()
{
}

QRectF CoordinateItem::boundingRect() const
{
//	return scene()->sceneRect();
	return QRectF(QPointF(-500.0,-500.0), QPointF(500.0,500.0));
}

void CoordinateItem::paint(QPainter *painter, const QStyleOptionGraphicsItem *option, QWidget *widget)
{
	QRectF sceneRect = scene()->sceneRect();

	painter->setPen(Qt::red);
	/*for (int i = 0 ; i <= 10 ; i++)
	{
		painter->drawLine(QPointF(sceneRect.x()+(double)i*sceneRect.width()/10.0, sceneRect.y()),
				  QPointF(sceneRect.x()+(double)i*sceneRect.width()/10.0, sceneRect.y()+sceneRect.height()));
	}
	for (int i = 0 ; i <= 10 ; i++)
	{
		painter->drawLine(QPointF(sceneRect.x(), sceneRect.y()+sceneRect.height()/10.0*(double)i),
				QPointF(sceneRect.x()+sceneRect.width(), sceneRect.y()+sceneRect.height()/10.0*(double)i));
	}*/

	painter->drawLine(QPointF(sceneRect.x(), 0), QPointF(sceneRect.x()+sceneRect.width(), 0));
	painter->drawLine(QPointF(0,sceneRect.y()), QPointF(0, sceneRect.y()+sceneRect.height()));
}

