/*

  This file is a part of GRALEEDITOR, a program to help create input data
  for gravitational lens inversion using GRALE.

  Copyright (C) 2008-2012 Jori Liesenborgs

  Contact: jori.liesenborgs@gmail.com
  
  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.
  
  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
  
  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
  
*/

#include "matchpointdialog.h"
#include <stdio.h>

MatchPointDialog::MatchPointDialog(double x, double y, QWidget *pParent) : QDialog(pParent)
{
	setupUi(this);

	m_xEdit->setValidator(new QDoubleValidator(-1000000000.0, 1000000000.0, 100, this));
	m_yEdit->setValidator(new QDoubleValidator(-1000000000.0, 1000000000.0, 100, this));

	char str[1024];

	sprintf(str, "%10.10f", x);
	m_xEdit->setText(str);

	sprintf(str, "%10.10f", y);
	m_yEdit->setText(str);

}

MatchPointDialog::~MatchPointDialog()
{
}

double MatchPointDialog::getX() const
{
	return m_xEdit->text().toDouble();
}

double MatchPointDialog::getY() const
{
	return m_yEdit->text().toDouble();
}

