/*

  This file is a part of GRALEEDITOR, a program to help create input data
  for gravitational lens inversion using GRALE.

  Copyright (C) 2008-2012 Jori Liesenborgs

  Contact: jori.liesenborgs@gmail.com
  
  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.
  
  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
  
  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
  
*/

#ifndef TRIANGLEITEM_H

#define TRIANGLEITEM_H

#include <QGraphicsItem>

class PointItem;

class TriangleItem : public QGraphicsItem
{
public:
	TriangleItem(PointItem *pPoint1, PointItem *pPoint2, PointItem *pPoint3, QGraphicsItem *pParent = 0);
	~TriangleItem();

	void pointChanged();
	PointItem *getPoint(int i)								{ return m_pPoints[i]; }
private:
	QRectF boundingRect() const;
	QPainterPath shape() const;

	void paint(QPainter *painter, const QStyleOptionGraphicsItem *option, QWidget *widget);

	PointItem *m_pPoints[3];
};

#endif // TRIANGLEITEM_H
